$profile-pic-size: 7.5em;
$offset: 14em;
$main-padding: 2em;

@function px_to_em($n) {
  @return ($n / 16)+em;
}

.main {
  margin-top: -$offset;
  background-color: white;
  border-radius: .5em;
  box-shadow: 0 2px 16px rgba(0, 0, 0, 0.1);
  padding: $main-padding;
  position: relative;

  .main__header {
    margin-top: -$profile-pic-size / 2 - $main-padding;
    font-family: 'Open Sans', sans-serif;

    .main__profile-pic {
      img {
        width: $profile-pic-size;
        height: $profile-pic-size;
        border-radius: $profile-pic-size / 2;
        box-sizing: border-box;
      }
    }

    .main__name {
      font-weight: 700;
      color: rgba(77, 161, 255, 0.74);
    }

    .main__location {
      font-weight: 400;
      color: #a6a6a6;
    }
  }

  .main__toolbar {
    position: absolute;
    top: 21px;
    right: 21px;

    .main__item {
      font-size: px_to_em(22);
      color: #dde2e7;
      margin: 0 0.5em;

      &:hover {
        color: black;
        text-decoration: none;
      }
    }
  }

  .main__exp {
    .main__title {
      font-weight: 400;
    }

    .main__item {
      background-color: white;
      box-shadow: 0 2px 16px rgba(0, 0, 0, 0.1);

      .main__logo {
        > img {
          width: $profile-pic-size;
          height: auto;
          border-radius: $profile-pic-size / 2;
          box-sizing: border-box;
        }
      }

      .main__title {
        font-weight: bolder;
        font-size: px_to_em(24);
      }
      .main__position {
        font-size: px_to_em(18);
        color: #a6a6a6;
      }
      .main__description {
        font-size: small;
      }

      .main__date {
        font-weight: 800;
        font-size: 1.45rem;
      }
    }
  }
}

.hero {
  background: url('../img/home_photo.png') center center;
  background-size: cover;
  height: 30em;
  width: 100%;
}